package com.mortals.xhx.module.holiday.model;

import java.util.List;

/**
* 节假日查询对象
*
* @author zxfei
* @date 2022-01-12
*/
public class HolidayQuery extends HolidayEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 开始 站点ID */
    private Long siteIdStart;

    /** 结束 站点ID */
    private Long siteIdEnd;

    /** 增加 站点ID */
    private Long siteIdIncrement;

    /** 站点ID列表 */
    private List <Long> siteIdList;

    /** 站点名称 */
    private List<String> siteNameList;

    /** 节日名称 */
    private List<String> nameList;

    /** 备注 */
    private List<String> summaryList;

    /** 开始 年份 */
    private Integer yearStart;

    /** 结束 年份 */
    private Integer yearEnd;

    /** 增加 年份 */
    private Integer yearIncrement;

    /** 年份列表 */
    private List <Integer> yearList;

    /** 开始 开始时间 */
    private String startTimeStart;

    /** 结束 开始时间 */
    private String startTimeEnd;

    /** 开始 结束时间 */
    private String endTimeStart;

    /** 结束 结束时间 */
    private String endTimeEnd;

    /** 开始 是否工作日（0.节假日,1.工作日) */
    private Integer workorholidayStart;

    /** 结束 是否工作日（0.节假日,1.工作日) */
    private Integer workorholidayEnd;

    /** 增加 是否工作日（0.节假日,1.工作日) */
    private Integer workorholidayIncrement;

    /** 是否工作日（0.节假日,1.工作日)列表 */
    private List <Integer> workorholidayList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<HolidayQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<HolidayQuery> andConditionList;

    public HolidayQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 开始 站点ID
    * @return siteIdStart
    */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
    * 设置 开始 站点ID
    * @param siteIdStart
    */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
    * 获取 结束 站点ID
    * @return $siteIdEnd
    */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
    * 设置 结束 站点ID
    * @param siteIdEnd
    */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
    * 获取 增加 站点ID
    * @return siteIdIncrement
    */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
    * 设置 增加 站点ID
    * @param siteIdIncrement
    */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
    * 获取 站点ID
    * @return siteIdList
    */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
    * 设置 站点ID
    * @param siteIdList
    */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
    * 获取 站点名称
    * @return siteNameList
    */
    public List<String> getSiteNameList(){
        return this.siteNameList;
    }

    /**
    * 设置 站点名称
    * @param siteNameList
    */
    public void setSiteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
    }
    /**
    * 获取 节日名称
    * @return nameList
    */
    public List<String> getNameList(){
        return this.nameList;
    }

    /**
    * 设置 节日名称
    * @param nameList
    */
    public void setNameList(List<String> nameList){
        this.nameList = nameList;
    }
    /**
    * 获取 备注
    * @return summaryList
    */
    public List<String> getSummaryList(){
        return this.summaryList;
    }

    /**
    * 设置 备注
    * @param summaryList
    */
    public void setSummaryList(List<String> summaryList){
        this.summaryList = summaryList;
    }
    /**
    * 获取 开始 年份
    * @return yearStart
    */
    public Integer getYearStart(){
        return this.yearStart;
    }

    /**
    * 设置 开始 年份
    * @param yearStart
    */
    public void setYearStart(Integer yearStart){
        this.yearStart = yearStart;
    }

    /**
    * 获取 结束 年份
    * @return $yearEnd
    */
    public Integer getYearEnd(){
        return this.yearEnd;
    }

    /**
    * 设置 结束 年份
    * @param yearEnd
    */
    public void setYearEnd(Integer yearEnd){
        this.yearEnd = yearEnd;
    }

    /**
    * 获取 增加 年份
    * @return yearIncrement
    */
    public Integer getYearIncrement(){
        return this.yearIncrement;
    }

    /**
    * 设置 增加 年份
    * @param yearIncrement
    */
    public void setYearIncrement(Integer yearIncrement){
        this.yearIncrement = yearIncrement;
    }

    /**
    * 获取 年份
    * @return yearList
    */
    public List<Integer> getYearList(){
        return this.yearList;
    }

    /**
    * 设置 年份
    * @param yearList
    */
    public void setYearList(List<Integer> yearList){
        this.yearList = yearList;
    }

    /**
    * 获取 开始 开始时间
    * @return startTimeStart
    */
    public String getStartTimeStart(){
        return this.startTimeStart;
    }

    /**
    * 设置 开始 开始时间
    * @param startTimeStart
    */
    public void setStartTimeStart(String startTimeStart){
        this.startTimeStart = startTimeStart;
    }

    /**
    * 获取 结束 开始时间
    * @return startTimeEnd
    */
    public String getStartTimeEnd(){
        return this.startTimeEnd;
    }

    /**
    * 设置 结束 开始时间
    * @param startTimeEnd
    */
    public void setStartTimeEnd(String startTimeEnd){
        this.startTimeEnd = startTimeEnd;
    }

    /**
    * 获取 开始 结束时间
    * @return endTimeStart
    */
    public String getEndTimeStart(){
        return this.endTimeStart;
    }

    /**
    * 设置 开始 结束时间
    * @param endTimeStart
    */
    public void setEndTimeStart(String endTimeStart){
        this.endTimeStart = endTimeStart;
    }

    /**
    * 获取 结束 结束时间
    * @return endTimeEnd
    */
    public String getEndTimeEnd(){
        return this.endTimeEnd;
    }

    /**
    * 设置 结束 结束时间
    * @param endTimeEnd
    */
    public void setEndTimeEnd(String endTimeEnd){
        this.endTimeEnd = endTimeEnd;
    }

    /**
    * 获取 开始 是否工作日（0.节假日,1.工作日)
    * @return workorholidayStart
    */
    public Integer getWorkorholidayStart(){
        return this.workorholidayStart;
    }

    /**
    * 设置 开始 是否工作日（0.节假日,1.工作日)
    * @param workorholidayStart
    */
    public void setWorkorholidayStart(Integer workorholidayStart){
        this.workorholidayStart = workorholidayStart;
    }

    /**
    * 获取 结束 是否工作日（0.节假日,1.工作日)
    * @return $workorholidayEnd
    */
    public Integer getWorkorholidayEnd(){
        return this.workorholidayEnd;
    }

    /**
    * 设置 结束 是否工作日（0.节假日,1.工作日)
    * @param workorholidayEnd
    */
    public void setWorkorholidayEnd(Integer workorholidayEnd){
        this.workorholidayEnd = workorholidayEnd;
    }

    /**
    * 获取 增加 是否工作日（0.节假日,1.工作日)
    * @return workorholidayIncrement
    */
    public Integer getWorkorholidayIncrement(){
        return this.workorholidayIncrement;
    }

    /**
    * 设置 增加 是否工作日（0.节假日,1.工作日)
    * @param workorholidayIncrement
    */
    public void setWorkorholidayIncrement(Integer workorholidayIncrement){
        this.workorholidayIncrement = workorholidayIncrement;
    }

    /**
    * 获取 是否工作日（0.节假日,1.工作日)
    * @return workorholidayList
    */
    public List<Integer> getWorkorholidayList(){
        return this.workorholidayList;
    }

    /**
    * 设置 是否工作日（0.节假日,1.工作日)
    * @param workorholidayList
    */
    public void setWorkorholidayList(List<Integer> workorholidayList){
        this.workorholidayList = workorholidayList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 开始 修改时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 修改时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 修改时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 修改时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public HolidayQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public HolidayQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public HolidayQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public HolidayQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public HolidayQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

    /**
    * 设置  站点ID
    * @param siteId
    */
    public HolidayQuery siteId(Long siteId){
	    setSiteId(siteId);
		return this;
    }
	
	 /**
    * 设置 开始 站点ID
    * @param siteIdStart
    */
    public HolidayQuery siteIdStart(Long siteIdStart){
		this.siteIdStart = siteIdStart;
		return this;
    }

    /**
    * 设置 结束 站点ID
    * @param siteIdEnd
    */
    public HolidayQuery siteIdEnd(Long siteIdEnd){
		this.siteIdEnd = siteIdEnd;
		return this;
    }

    /**
    * 设置 增加 站点ID
    * @param siteIdIncrement
    */
    public HolidayQuery siteIdIncrement(Long siteIdIncrement){
		this.siteIdIncrement = siteIdIncrement;
		return this;
    }

    /**
    * 设置 站点ID
    * @param siteIdList
    */
    public HolidayQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
		return this;
        }


	/**
    * 设置 站点名称
    * @param siteName
    */
    public HolidayQuery siteName(String siteName){
        setSiteName(siteName);
		return this;
    }

    /**
    * 设置 站点名称
    * @param siteNameList
    */
    public HolidayQuery siteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
		return this;
    }


	/**
    * 设置 节日名称
    * @param name
    */
    public HolidayQuery name(String name){
        setName(name);
		return this;
    }

    /**
    * 设置 节日名称
    * @param nameList
    */
    public HolidayQuery nameList(List<String> nameList){
        this.nameList = nameList;
		return this;
    }


	/**
    * 设置 备注
    * @param summary
    */
    public HolidayQuery summary(String summary){
        setSummary(summary);
		return this;
    }

    /**
    * 设置 备注
    * @param summaryList
    */
    public HolidayQuery summaryList(List<String> summaryList){
        this.summaryList = summaryList;
		return this;
    }

    /**
    * 设置  年份
    * @param year
    */
    public HolidayQuery year(Integer year){
	    setYear(year);
		return this;
    }
	
	 /**
    * 设置 开始 年份
    * @param yearStart
    */
    public HolidayQuery yearStart(Integer yearStart){
		this.yearStart = yearStart;
		return this;
    }

    /**
    * 设置 结束 年份
    * @param yearEnd
    */
    public HolidayQuery yearEnd(Integer yearEnd){
		this.yearEnd = yearEnd;
		return this;
    }

    /**
    * 设置 增加 年份
    * @param yearIncrement
    */
    public HolidayQuery yearIncrement(Integer yearIncrement){
		this.yearIncrement = yearIncrement;
		return this;
    }

    /**
    * 设置 年份
    * @param yearList
    */
    public HolidayQuery yearList(List<Integer> yearList){
        this.yearList = yearList;
		return this;
        }



    /**
    * 设置  是否工作日（0.节假日,1.工作日)
    * @param workorholiday
    */
    public HolidayQuery workorholiday(Integer workorholiday){
	    setWorkorholiday(workorholiday);
		return this;
    }
	
	 /**
    * 设置 开始 是否工作日（0.节假日,1.工作日)
    * @param workorholidayStart
    */
    public HolidayQuery workorholidayStart(Integer workorholidayStart){
		this.workorholidayStart = workorholidayStart;
		return this;
    }

    /**
    * 设置 结束 是否工作日（0.节假日,1.工作日)
    * @param workorholidayEnd
    */
    public HolidayQuery workorholidayEnd(Integer workorholidayEnd){
		this.workorholidayEnd = workorholidayEnd;
		return this;
    }

    /**
    * 设置 增加 是否工作日（0.节假日,1.工作日)
    * @param workorholidayIncrement
    */
    public HolidayQuery workorholidayIncrement(Integer workorholidayIncrement){
		this.workorholidayIncrement = workorholidayIncrement;
		return this;
    }

    /**
    * 设置 是否工作日（0.节假日,1.工作日)
    * @param workorholidayList
    */
    public HolidayQuery workorholidayList(List<Integer> workorholidayList){
        this.workorholidayList = workorholidayList;
		return this;
        }


    /**
    * 设置  创建用户
    * @param createUserId
    */
    public HolidayQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public HolidayQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public HolidayQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public HolidayQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public HolidayQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<HolidayQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<HolidayQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<HolidayQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<HolidayQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}